Get OTC Historical Quotes
curl --request POST \
--url https://api.kraken.com/0/private/GetOtcHistoricalQuotes \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"nonce": 123
}'import requests
url = "https://api.kraken.com/0/private/GetOtcHistoricalQuotes"
payload = { "nonce": 123 }
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 123})
};
fetch('https://api.kraken.com/0/private/GetOtcHistoricalQuotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/GetOtcHistoricalQuotes"
payload := strings.NewReader("{\n \"nonce\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [
"EGeneral:Invalid arguments"
],
"result": [
{
"acceptance": {
"status": "accepted",
"time": 1736257135382
},
"settlement_status": "settled",
"quote_id": "00001c47-8f59-4099-b6f8-b637437ef1ab",
"base": "BTC",
"quote": "USD",
"type": "buy",
"price": "100000.25",
"amount": "2.5",
"total": "250000.625",
"settlement": "automated",
"trade_id": "TR123ABS",
"status": null,
"client_order_id": "7264675290025181184"
}
]
}{
"errors": [
{
"field": null,
"value": null,
"type": "Internal Error",
"msg": "Internal error",
"severity": "E",
"errorClass": "General"
}
]
}Quotes
Get OTC Historical Quotes
Retrieves OTC quotes history.
API Key Permissions Required: Orders and trades - Query open orders & trades
POST
/
private
/
GetOtcHistoricalQuotes
Get OTC Historical Quotes
curl --request POST \
--url https://api.kraken.com/0/private/GetOtcHistoricalQuotes \
--header 'API-Key: <api-key>' \
--header 'API-Sign: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"nonce": 123
}'import requests
url = "https://api.kraken.com/0/private/GetOtcHistoricalQuotes"
payload = { "nonce": 123 }
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'API-Key': '<api-key>',
'API-Sign': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nonce: 123})
};
fetch('https://api.kraken.com/0/private/GetOtcHistoricalQuotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kraken.com/0/private/GetOtcHistoricalQuotes"
payload := strings.NewReader("{\n \"nonce\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("API-Key", "<api-key>")
req.Header.Add("API-Sign", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": [
"EGeneral:Invalid arguments"
],
"result": [
{
"acceptance": {
"status": "accepted",
"time": 1736257135382
},
"settlement_status": "settled",
"quote_id": "00001c47-8f59-4099-b6f8-b637437ef1ab",
"base": "BTC",
"quote": "USD",
"type": "buy",
"price": "100000.25",
"amount": "2.5",
"total": "250000.625",
"settlement": "automated",
"trade_id": "TR123ABS",
"status": null,
"client_order_id": "7264675290025181184"
}
]
}{
"errors": [
{
"field": null,
"value": null,
"type": "Internal Error",
"msg": "Internal error",
"severity": "E",
"errorClass": "General"
}
]
}Authorizations
The "API-Key" header should contain your API key.
Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.
Body
application/json
Request body schema for retrieving historical quotes for OTC instruments. This endpoint does not require any request body parameters.
Nonce used in construction of API-Sign header
Was this page helpful?